Skip to content
Content & StorefrontStore Locations

Get public store location

Returns one active physical store location with its public address and fulfillment details.

GET/v1/store-locations/{id}
No token

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

x-Store-Domain*string

Slug of the store or one of its configured domains, such as my-store.

Length1 <= length <= 253

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://storefront.ecomiq.pe/v1/store-locations/7204558912004328277" \  -H "x-Store-Domain: my-store"
{  "id": "7204558912004328277",  "storeId": "7204558912004327977",  "name": "Almacén Lima",  "code": "POL-001",  "type": "warehouse",  "isActive": true,  "isDefault": true,  "useForFulfillment": false,  "supportsShipping": false,  "supportsLocalDelivery": false,  "supportsPickup": false,  "isPhysicalStore": false,  "supportsPos": false,  "priority": 1,  "localDeliveryPostalCodes": [    "15074"  ],  "localDeliveryZones": [    {      "name": "Lima Metropolitana",      "postalCodes": [        "15074"      ],      "radiusKm": 1,      "fee": 1,      "freeFromAmount": 178,      "minHours": 1,      "maxHours": 1    }  ],  "schedules": [    {      "id": "7204558912004328277",      "openTime": "09:00:00",      "closeTime": "09:00:00",      "name": "Almacén Lima",      "dayOfWeek": "monday",      "enabled": true,      "isOpen": false,      "type": "delivery"    }  ],  "createdOn": "2026-09-28T15:30:00Z"}